Installation instructions for WMiFS.


NOTE!
--------------------------------------------------------------
Installing this program requires root privileges, ask your
local system/network administrator kindly if she/he wants
to install this software for you ;-)


Requirements
----------------------------------------------------------
- root access

	To be able to complete the installation you'll need
	to make changes in the system's /etc directory,
	the installation copies the GLOBAL config file
	there, don't worry, nothing will be overwritten ;-)

Make sure libdockapp (at least version 0.7.0) is installed. It
may be obtained at
https://www.dockapps.net/libdockapp

Installation
--------------------------------------------------------------
1)  % ./autogen.sh
2)  % ./configure
3)  % make
4)  % su root
5)  # make install
6)* # vi ~/.wmifsrc and/or $sysconfdir/wmifsrc
	set up the paths to your pppd
	start, stop & restart scripts
7)  % wmifs & (or wmifs -h for brief help).

6)* This is optional, WMiFS also works fine without them,
    it's entirely up to you ;-)
    See sample.wmifsrc for an example configuration file.
    Note that $sysconfdir defaults to /usr/local/etc.  You may
    change this by running
    ./configure --sysconfdir=DIR
    prior to building.



Extra Install Info For Site Administrators!
--------------------------------------------------------------
For site administrators who don't want their users messing
up pppd's configuration files, WMiFS now supports an
$sysconfdir/wmifsrc.fixed file.

The installation will install the normal user and global
wmifsrc files in $HOME and $sysconfdir, NOT the fixed one!

WMiFS scan for 3 files at startup, in the following order:

	1. $sysconfdir/wmifsrc
	2. $HOME/.wmifsrc
	3. $sysconfdir/wmifsrc.fixed

If no .wmifsrc file is found in the users home directory,
WMiFS will use the global one ($sysconfdir/wmifsrc, if present
and valid).

When WMiFS finds a $sysconfdir/wmifs.fixed file, all settings
that WMiFS detected in $sysconfdir/wmifsrc and/or $HOME/.wmifsrc
will be discarted i.e. OVERRIDDEN!

If you want your users to be able to dialout, but you
don't want them to mess around, simply move or copy
the default $sysconfdir/wmifsrc to $sysconfdir/wmifsrc.fixed :)

Note: When NO wmifsrc files are found at all, WMiFS will
work, but quite obvious, WMiFS won't launch any scripts.
Make sure there are valid and FULL pathnames in the wmifsrc
file(s) if you want WMiFS to launch your pppd scripts ;-)


Usage
-------------------------------------------------------------
WMiFS support the following commandline options:

        -h              helpscreen
        -display        X server display where wmppp should
                        appear (default = 0:0)
	-i		interface name, note: 'lo' can ONLY
			be specified with '-i lo' ;-)
			(default = default interface as it
			 appears in /proc/net/route)
	-w		draw the statistics graph in waveform
			like mode, try it! (default = normal)
        -v              print wmifs version number


General Notes
--------------------------------------------------------------
Note:   Please DO read the HINTS, this file contains some
        very useful tips about WMiFS.

